Status Pages/Subscribers
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
statuspageIDstringRequired
Responses
200
The request has succeeded.
application/json
400
The server could not understand the request due to invalid syntax.
application/json
401
Access is unauthorized.
application/json
402
Client error
application/json
403
Access is forbidden.
application/json
404
The server cannot find the requested resource.
application/json
409
The request conflicts with the current state of the server.
application/json
422
Client error
application/json
500
Server error
application/json
502
Server error
application/json
503
Service unavailable.
application/json
504
Server error
application/json
get/v4/statuspages/{statuspageID}/subscribers
GET /v4/statuspages/{statuspageID}/subscribers HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"data": [
{
"id": 1,
"type": "text",
"emailID": "text",
"webhookURL": "text",
"status": "text",
"componentList": [
{
"id": 1,
"name": "text"
}
],
"subscribedOn": "2026-01-01T00:00:00.000Z"
}
],
"meta": {
"totalSubscribersCount": {
"totalCount": 1
},
"maximumSubscribersLimit": 1,
"lastWeekSubscribersCount": 1
}
}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
statuspageIDstringRequired
subscriberIDstringRequired
Responses
200
The request has succeeded.
application/json
400
The server could not understand the request due to invalid syntax.
application/json
401
Access is unauthorized.
application/json
402
Client error
application/json
403
Access is forbidden.
application/json
404
The server cannot find the requested resource.
application/json
409
The request conflicts with the current state of the server.
application/json
422
Client error
application/json
500
Server error
application/json
502
Server error
application/json
503
Service unavailable.
application/json
504
Server error
application/json
delete/v4/statuspages/{statuspageID}/subscribers/{subscriberID}
DELETE /v4/statuspages/{statuspageID}/subscribers/{subscriberID} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"data": {
"id": 1,
"type": "text",
"emailID": "text",
"webhookURL": "text"
}
}Last updated